Account settings

Get account payout fee settings

GET /v2/accounts/settings Bearer token

This endpoint retrieves the payout fee settings for a specified account.


Request

Method: GET URL: https://api.sandbox.bobpay.co.za/v2/accounts/settings


Query parameters

Key Description Type Required
for_account_id The unique identifier of the account for which the payout fee settings are being requested. Defaults to your own account; merchant users can only access their own account's settings. integer No
setting The specific setting type to retrieve. For this endpoint, it should be set to payout_fee_settings. If omitted, all settings are returned. string No

Response

Status code: 200 OK Content-Type: application/json


Response fields

Key Description Type
account_settings An array containing the settings related to the account payout fees. array of objects
id The unique identifier for the setting. integer
account_id The identifier of the account associated with the setting. integer
setting The name of the setting (in this case, payout_fee_settings). string
value The value assigned to the setting (JSON string, see note below). string
time_created The timestamp when the setting was created. string (datetime)
time_modified The timestamp when the setting was last modified. string (datetime)
is_public A boolean indicating if the setting is public. boolean
count The total number of settings returned in the response. integer

Note:

The value field contains a JSON string with the payout fee configuration:

{
  "payout_fee_threshold_amount": 20000,
  "payout_flat_fee": 5
}
  • payout_fee_threshold_amount – payouts below this amount incur the flat fee; payouts of this amount or more are free.
  • payout_flat_fee – the flat fee applied to payouts below the threshold.